find_package(QT NAMES Qt6 Qt5 REQUIRED COMPONENTS SerialPort)
find_package(Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS SerialPort)

set(CMAKE_AUTOMOC ON)

add_library(Peripheral
    DeviceDiscovery.h DeviceDiscovery.cpp
    CdcUpdater.h CdcUpdater.cpp
)

target_include_directories(Peripheral
    INTERFACE ${CMAKE_CURRENT_SOURCE_DIR}
)

target_link_libraries(Peripheral
    PUBLIC Universal
    PRIVATE Encrypt
    $<$<PLATFORM_ID:Windows>:Mfreadwrite Mf mfplat mfuuid>
    PRIVATE Qt${QT_VERSION_MAJOR}::SerialPort
)
